2020 API AWARDS WINNER - BEST IN MEDIA APIs LEARN MORE

Supported Client Platforms

The Dolby Interactivity APIs Client SDK is compatible with the following Web Platforms and mobile operating systems. Certain features, such as simulcast, may have limited availability on certain platforms. Contact the Dolby Interactivity API support team for more information.

Web SDK:

The Dolby Interactivity APIs Web SDK is compatible with the following browsers:

  • Chrome 81+
  • Edge 79+
  • Firefox 76+
  • Safari 13+

Note:

  • Internet Explorer and Microsoft Edge 18 are not supported.
  • Microsoft Edge 79 and later versions may work on macOS but have not been extensively tested and are not supported.
  • For supported browser platforms, we test against current and prior versions and will keep this document updated for minimum supported browser versions.
Supported operating system Supported browser
Chrome 81+ Edge 79+ Firefox 76+ Safari 13
Windows N/A
macOS X
Android ✓* X N/A N/A
iOS X X X

* For Chrome compatibility with Android, contact Google for more information. The minimum supported Chrome version may not be compatible with earlier versions of Android.

Android SDK:

The Dolby Interactivity APIs Android SDK is compatible with Android 4.1 and later versions. The SDK is compatible with Java 8 and Android Studio 3+.

The SDK supports all Android devices that are compatible, by default, with the underlying WebRTC implementation (m72) as well as the devices supporting the following codecs:

  • MediaTek chipset (OMX.MTK.VIDEO.*)
  • Qualcomm chipset (OMX.qcom.video.*)
  • Huawei chipset (OMX.hisi.video.*)

For any other devices, contact the support team by providing the device name, version, and Android version. The Dolby Interactivity APIs team will add support through its standard Android device qualification process.

iOS SDK:

The Dolby Interactivity APIs iOS SDK is compatible with iOS and iPadOS 9 and later versions. The SDK is compatible with Swift 5.2.4 and Xcode 11.5.